# {{ ansible_managed }}

{% for server in ntp_servers %}
server {{ server }}
{% endfor %}

# Record the rate at which the system clock gains/losses time.
driftfile {{ ntp_drift_file }}

{% for extra_config in ntp_extra_config %}
{{ extra_config }}
{% endfor %}

# Enable kernel synchronization of the real-time clock (RTC).
rtcsync

# Enable hardware timestamping on all interfaces that support it.
#hwtimestamp *

# Increase the minimum number of selectable sources required to adjust
# the system clock.
#minsources 2

# Allow NTP client access from local network.
#allow 192.168.0.0/16

# Serve time even if not synchronized to a time source.
#local stratum 10

# Specify file containing keys for NTP authentication.
#keyfile /etc/chrony.keys

# Specify directory for log files.
logdir /var/log/chrony

# Select which information is logged.
#log measurements statistics tracking
